Loading...
Searching...
No Matches
nmmolhash.h File Reference
`#include <RDGeneral/export.h>`
`#include <string>`
`#include <vector>`

Go to the source code of this file.

## Namespaces

namespace | RDKit
| Std stuff.
namespace | RDKit::MolHash

## Enumerations

enum class

RDKit::MolHash::HashFunction {
RDKit::MolHash::AnonymousGraph = 1 , RDKit::MolHash::ElementGraph = 2 , RDKit::MolHash::CanonicalSmiles = 3 , RDKit::MolHash::MurckoScaffold = 4 ,
RDKit::MolHash::ExtendedMurcko = 5 , RDKit::MolHash::MolFormula = 6 , RDKit::MolHash::AtomBondCounts = 7 , RDKit::MolHash::DegreeVector = 8 ,
RDKit::MolHash::Mesomer = 9 , RDKit::MolHash::HetAtomTautomer = 10 , RDKit::MolHash::HetAtomProtomer = 11 , RDKit::MolHash::RedoxPair = 12 ,
RDKit::MolHash::Regioisomer = 13 , RDKit::MolHash::NetCharge = 14 , RDKit::MolHash::SmallWorldIndexBR = 15 , RDKit::MolHash::SmallWorldIndexBRL = 16 ,
RDKit::MolHash::ArthorSubstructureOrder = 17 , RDKit::MolHash::HetAtomTautomerv2 , RDKit::MolHash::HetAtomProtomerv2
}

enum class | RDKit::MolHash::StripType { RDKit::MolHash::AtomStereo = 1 , RDKit::MolHash::BondStereo = 2 , RDKit::MolHash::Isotope = 4 , RDKit::MolHash::AtomMap = 8 , RDKit::MolHash::Hydrogen = 16 }

## Functions

RDKIT_MOLHASH_EXPORT std::string | RDKit::MolHash::MolHash (RWMol *mol, HashFunction func, bool useCXSmiles=false, unsigned cxFlagsToSkip=0)
RDKIT_MOLHASH_EXPORT void | RDKit::MolHash::Strip (RWMol *mol, unsigned int striptype)
RDKIT_MOLHASH_EXPORT void | RDKit::MolHash::SplitMolecule (RWMol *mol, std::vector< RWMol * > &molv)